### Constructor

# Handy SwipeTracker new

since: 1.0

#### Declaration [src]

    HdySwipeTracker*
    hdy_swipe_tracker_new (
      HdySwipeable* swipeable
    )

#### Description [src]

Creates a new `HdySwipeTracker` object on `widget`.

Available since: 1.0

#### Parameters

`swipeable`

  Type: `HdySwipeable`

  A swipeable to add the tracker on.

  The data is owned by the caller of the function.

#### Return value

Type: `HdySwipeTracker`

The newly created `HdySwipeTracker`.

The caller of the function takes ownership of the data, and is responsible for freeing it.